Get customer's SMS history

Fetch data about customer's sent SMS, filtrated by given parameters. Returns data with pagination. For SMS, time period parameters filter by SMS created_at field.

GET
/api/v1/sms/otp/history

Query Parameters

number?string

Optional field. Allows to filter out SMS by phone number. Filtration is done by a partial search.

page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

search?string

Optional parameter that allows to search OTP SMS by sender, country, text and/or phone values. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "created_at" | "date" | "country" | "code" | "phone" | "number" | "state" | "status" | "text" | "mcc" | "mnc" | "price"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/otp/history" \  -H "Authorization: string"
{
  "data": [
    {
      "callback_payload": "string",
      "callback_response": "string",
      "callback_url": "string",
      "code": "string",
      "country": "string",
      "created_at": "string",
      "id": 0,
      "id_state": "string",
      "mcc": 0,
      "phone": "string",
      "price": 0,
      "sender": "string",
      "state": "PENDING",
      "text": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.